> ## Documentation Index
> Fetch the complete documentation index at: https://goldrush.dev/docs/llms.txt
> Use this file to discover all available pages before exploring further.

# Get NFTs for address

> Commonly used to render the NFTs (including ERC721 and ERC1155) held by an address.

<CardGroup cols={2}>
  <Card title="Credit Cost"> 1 per call</Card>
  <Card title="Processing"> Realtime</Card>
</CardGroup>

<Tip>
  Estimate your monthly cost for this API using the [Pricing Calculator](/pricing-calculator?endpoint=%2Fapi-reference%2Ffoundational-api%2Fnft%2Fget-nfts-for-address).
</Tip>


## OpenAPI

````yaml GET /v1/{chainName}/address/{walletAddress}/balances_nft/
openapi: 3.1.0
info:
  title: GoldRush Multichain Data APIs
  version: 1.0.0
  description: Covalent's GoldRush Multichain Data APIs OpenAPI Schema.
servers:
  - url: https://api.covalenthq.com
security:
  - bearerAuth: []
paths:
  /v1/{chainName}/address/{walletAddress}/balances_nft/:
    get:
      tags:
        - get-nfts-for-address
      description: >-
        Commonly used to render the NFTs (including ERC721 and ERC1155) held by
        an address.
      operationId: getNftsForAddress
      parameters:
        - name: chainName
          in: path
          description: 'The chain name eg: `eth-mainnet`.'
          required: true
          schema:
            type: string
        - name: walletAddress
          in: path
          description: >-
            The requested address. Passing in an `ENS`, `RNS`, `Lens Handle`, or
            an `Unstoppable Domain` resolves automatically.
          required: true
          schema:
            type: string
        - name: no-spam
          in: query
          description: >-
            If `true`, the suspected spam tokens are removed. Supported on all
            Foundational Chains.
          required: false
          schema:
            type: boolean
        - name: no-nft-asset-metadata
          in: query
          description: >-
            If `true`, the response shape is limited to a list of collections
            and token ids, omitting metadata and asset information. Helpful for
            faster response times and wallets holding a large number of NFTs.
          required: false
          schema:
            type: boolean
      responses:
        '200':
          description: Successful response
          content:
            application/json:
              schema:
                type: object
                properties:
                  address:
                    type: string
                    description: The requested address.
                  updated_at:
                    type: string
                    format: date-time
                    description: >-
                      The timestamp when the response was generated. Useful to
                      show data staleness to users.
                  chain_tip_height:
                    type: integer
                    description: >-
                      The latest block height of the blockchain at the time this
                      response was provided.
                  chain_tip_signed_at:
                    type: string
                    format: date-time
                    description: >-
                      The timestamp of the latest signed block at the time this
                      response was provided.
                  items:
                    type: array
                    items:
                      type: object
                      properties:
                        contract_name:
                          type: string
                          description: The string returned by the `name()` method.
                        contract_ticker_symbol:
                          type: string
                          description: >-
                            The ticker symbol for this contract. This field is
                            set by a developer and non-unique across a network.
                        contract_address:
                          type: string
                          description: >-
                            Use the relevant `contract_address` to lookup
                            prices, logos, token transfers, etc.
                        supports_erc:
                          type: array
                          items:
                            type: string
                          description: >-
                            A list of supported standard ERC interfaces, eg:
                            `ERC20` and `ERC721`.
                        is_spam:
                          type: boolean
                          description: >-
                            Denotes whether the token is suspected spam.
                            Supported on all Foundational Chains.
                        last_transfered_at:
                          type: string
                          format: date-time
                          description: The timestamp when the token was transferred.
                        block_height:
                          type: integer
                          format: int64
                          description: The height of the block.
                        balance:
                          type: string
                          description: >-
                            b;The asset balance. Use `contract_decimals` to
                            scale this balance for display purposes.
                        balance_24h:
                          type: string
                          description: >-
                            b;The 24h asset balance. Use `contract_decimals` to
                            scale this balance for display purposes.
                        type:
                          type: string
                        floor_price_quote:
                          type: number
                          format: double
                          description: >-
                            The current floor price converted to fiat in
                            `quote-currency`. The floor price is determined by
                            the last minimum sale price within the last 30 days
                            across all the supported markets where the
                            collection is sold on.
                        pretty_floor_price_quote:
                          type: string
                          description: >-
                            A prettier version of the floor price quote for
                            rendering purposes.
                        floor_price_native_quote:
                          type: number
                          format: double
                          description: >-
                            The current floor price in native currency. The
                            floor price is determined by the last minimum sale
                            price within the last 30 days across all the
                            supported markets where the collection is sold on.
                        nft_data:
                          type: array
                          items:
                            type: object
                            properties:
                              token_id:
                                type: string
                                description: b;The token's id.
                              token_url:
                                type: string
                              original_owner:
                                type: string
                                description: The original minter.
                              current_owner:
                                type: string
                                description: The current holder of this NFT.
                              external_data:
                                type: object
                                properties:
                                  name:
                                    type: string
                                  description:
                                    type: string
                                  asset_url:
                                    type: string
                                  asset_file_extension:
                                    type: string
                                  asset_mime_type:
                                    type: string
                                  asset_size_bytes:
                                    type: string
                                  image:
                                    type: string
                                  image_256:
                                    type: string
                                  image_512:
                                    type: string
                                  image_1024:
                                    type: string
                                  animation_url:
                                    type: string
                                  external_url:
                                    type: string
                                  attributes:
                                    type: array
                                    items:
                                      type: object
                                      properties:
                                        trait_type:
                                          type: string
                                        value:
                                          type: string
                                  thumbnails:
                                    type: object
                                    properties:
                                      image_256:
                                        type: string
                                        description: Resized 256x256 image of the asset.
                                      image_512:
                                        type: string
                                        description: Resized 512x512 image of the asset.
                                      image_1024:
                                        type: string
                                        description: Resized 1024x1024 image of the asset.
                                      image_opengraph_url:
                                        type: string
                                        description: >-
                                          Resized image of the asset for
                                          OpenGraph.
                                      thumbhash:
                                        type: string
                                        description: Base64 encoded hash of the thumbnail.
                                    description: Various thumbnails of the asset.
                                  image_preview:
                                    type: string
                                    description: The image preview URL.
                                  asset_properties:
                                    type: object
                                    properties:
                                      asset_width:
                                        type: integer
                                        description: The width of the asset.
                                      asset_height:
                                        type: integer
                                        description: The height of the asset.
                                      dominant_color:
                                        type: string
                                        description: The dominant color of the asset.
                                    description: The asset properties.
                              asset_cached:
                                type: boolean
                                description: >-
                                  If `true`, the asset data is available from
                                  the Covalent CDN.
                              image_cached:
                                type: boolean
                                description: >-
                                  If `true`, the image data is available from
                                  the Covalent CDN.
                    description: List of response items.
      x-codeSamples:
        - lang: TypeScript
          label: GoldRush SDK
          source: |-
            import { GoldRushClient } from "@covalenthq/client-sdk";

            const ApiServices = async () => {
                const client = new GoldRushClient("<GOLDRUSH_API_KEY>");
                const resp = await client.NftService.getNftsForAddress({chainName: "chainName", walletAddress: "walletAddress"});
                console.log(resp.data);
            };

            ApiServices();
components:
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer
      description: >-
        Bearer authentication header of the form: `Bearer <token>`, where
        `<token>` is your GoldRush API Key.

````